Module java.corba
Package org.omg.DynamicAny

## Interface DynValueBox

All Superinterfaces:
  DynAny, DynAnyOperations, DynValueBoxOperations, DynValueCommon, DynValueCommonOperations, IDLEntity, Object, Serializable

    public interface DynValueBox
    extends DynValueBoxOperations, DynValueCommon, IDLEntity

DynValueBox objects support the manipulation of IDL boxed value types. The DynValueBox interface can represent both null and non-null value types. For a DynValueBox representing a non-null value type, the DynValueBox has a single component of the boxed type. A DynValueBox representing a null value type has no components and a current position of -1.

### Method Summary

### Methods inherited from interface org.omg.DynamicAny.DynAnyOperations

`assign, component_count, copy, current_component, destroy, equal, from_any, get_any, get_boolean, get_char, get_double, get_dyn_any, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_any, insert_boolean, insert_char, insert_double, insert_dyn_any, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, next, rewind, seek, to_any, type`

### Methods inherited from interface org.omg.DynamicAny.DynValueBoxOperations

`get_boxed_value, get_boxed_value_as_dyn_any, set_boxed_value, set_boxed_value_as_dyn_any`

### Methods inherited from interface org.omg.DynamicAny.DynValueCommonOperations

`is_null, set_to_null, set_to_value`

### Methods inherited from interface org.omg.CORBA.Object

`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`